Xcode升级到8.3以后就再也无法编译运行起来了



  • 报了下面这个错误,有人遇到了么

    Installing build/Build/Products/Debug-iphonesimulator/gc_native.app
    An error was encountered processing the command (domain=NSPOSIXErrorDomain, code=22):
    Failed to install the requested application
    The bundle identifier of the application could not be determined.
    Ensure that the application's Info.plist contains a value for CFBundleIdentifier.
    Print: Entry, ":CFBundleIdentifier", Does Not Exist

    Command failed: /usr/libexec/PlistBuddy -c Print:CFBundleIdentifier build/Build/Products/Debug-iphonesimulator/gc_native.app/Info.plist
    Print: Entry, ":CFBundleIdentifier", Does Not Exist



  • 现在Xcode中跑一次看看哪边报错



  • 请问你这个问题解决了吗?我也是这个错误,昨天还可以 run, 今天就出这问题了,应该不是 xcode 的问题.



  • @guokegit 已经解决了,升级到RN0.43以后可以 react-native eject, 会重新产生ios
    和android的项目文件


登录后回复